> For the complete documentation index, see [llms.txt](https://docs.currents.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.currents.dev/api/get-started/authentication.md).

# Authentication

The Currents API uses API keys to authenticate requests. You can view and manage your API keys in [the Currents Dashboard](https://app.currents.dev).

\
Your API keys carry many privileges, so be sure to keep them secure! An API key provides access to all the resources associated with an organization.&#x20;

{% hint style="danger" %}
Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.
{% endhint %}

### Managing the API Keys

Navigate to **Organization > API & Record Keys** section to manage your API keys.

![Managing API keys in Currents Dashboard](/files/BD5OC6GD6gmw0c6YK3m6)

### Authenticating Requests

Authentication to the API is performed by specifying the `Authorization` HTTP header with a bearer authentication token, for example:

```bash
curl https://api.currents.dev/v1/projects \
-H "Authorization: Bearer 51ILO7fDhR8P...wC7oFLl7nEiDT"
```

All API requests must be made over [HTTPS](http://en.wikipedia.org/wiki/HTTP_Secure). Calls made over plain HTTP will fail. API requests without authentication will also fail.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.currents.dev/api/get-started/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
